Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » Developing U++ » UppHub » VLCPlayer compile only with libvlc v. 1.1.10 and later
VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33877] Tue, 20 September 2011 18:18 Go to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 746
Registered: January 2008
Location: Moscow, Russia
Contributor

I've tested VLCPlayer only under Linux and only with libvlc ver.1.1.11
(libvlc interface have changed from version 1.0.9) therefore sorry. Use last version of lib.


SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33899 is a reply to message #33877] Fri, 23 September 2011 15:54 Go to previous messageGo to next message
Zbych is currently offline  Zbych
Messages: 318
Registered: July 2009
Senior Member
Hi Sergey,

I couldn't link VLCPlayer until I replaced link option "-lvlc" with library "vlc".

index.php?t=getfile&id=3450&private=0

Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33909 is a reply to message #33899] Sat, 24 September 2011 22:47 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 746
Registered: January 2008
Location: Moscow, Russia
Contributor

Thanks for testing! I'll try your variant.

(BTW, what OS and version of libvlc do you use?)



SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}

[Updated on: Sat, 24 September 2011 22:57]

Report message to a moderator

Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33910 is a reply to message #33909] Sat, 24 September 2011 22:55 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 746
Registered: January 2008
Location: Moscow, Russia
Contributor

It seems libvlc runs in the application stack. As a result, the number of controls on the screen along with VLCPlayerCtrl is very limited.
I get about 30-40 buttons. (I put on-screen keyboard as ParentCtrl).

The simplest solution, which is still running - make VLCPlayer in a separate pop-up window.

Actually, I uploaded the code here the player mainly, hoping to help the community in solving problems with memory.


SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33912 is a reply to message #33909] Sun, 25 September 2011 21:58 Go to previous messageGo to next message
Zbych is currently offline  Zbych
Messages: 318
Registered: July 2009
Senior Member
sergeynikitin wrote on Sat, 24 September 2011 22:47

Thanks for testing! I'll try your variant.

(BTW, what OS and version of libvlc do you use?)




I've tested your player on ubuntu 11.10 (beta, gcc 4.6). On 11.04 it links ok. Maybe gcc 4.6 is more sensitive to the order of parameters.
Unfortunately player crashes on both systems just after start (invalid memory access).

[Updated on: Sun, 25 September 2011 22:33]

Report message to a moderator

Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33914 is a reply to message #33912] Sun, 25 September 2011 22:32 Go to previous messageGo to next message
Zbych is currently offline  Zbych
Messages: 318
Registered: July 2009
Senior Member
Player crashes, because it doesn't check whether libvlc_*_new functions return NULL.
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33915 is a reply to message #33912] Mon, 26 September 2011 00:11 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 746
Registered: January 2008
Location: Moscow, Russia
Contributor

Stack...
Memory problem....

But with this and am struggling.
Try to remove the bottom Layout all the buttons, except for one or two ...


SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33918 is a reply to message #33915] Mon, 26 September 2011 09:00 Go to previous messageGo to next message
Zbych is currently offline  Zbych
Messages: 318
Registered: July 2009
Senior Member
sergeynikitin wrote on Mon, 26 September 2011 00:11

Stack...
Memory problem....


No, I've just forgotten to install VLC (but I had libvlc) Smile.
You should add checking of all pointers returned by libvlc_*_new functions and show error message when they return NULL.
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33919 is a reply to message #33918] Mon, 26 September 2011 09:41 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 746
Registered: January 2008
Location: Moscow, Russia
Contributor

Yes!
VLCPlayer needed:
- libvlc
- vlc
- libsdl


SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #33920 is a reply to message #33919] Mon, 26 September 2011 11:09 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 746
Registered: January 2008
Location: Moscow, Russia
Contributor

Last version uses SDL_Thread. Therefore it can be compiled without MT flag.

SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #43044 is a reply to message #33920] Sat, 26 April 2014 18:12 Go to previous messageGo to next message
Didier is currently offline  Didier
Messages: 671
Registered: November 2008
Location: France
Contributor
Hello Sergey,

I will need the VLCPlayer package to display a webcam inside an application.

I just tried to compile the VlcPlayerTest package and it doesn't compile (under linux) : There are some namespace issues.

I can take a shot a making corrections if you wan't Wink

Thank's
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #43064 is a reply to message #43044] Tue, 29 April 2014 06:42 Go to previous messageGo to next message
sergeynikitin is currently offline  sergeynikitin
Messages: 746
Registered: January 2008
Location: Moscow, Russia
Contributor

This package has been made as part of a larger work, and successfully solved tasks assigned to it.
The result was a complex product, and not always compiled.
I'll be happy. I hope for your help.
This is why I put pack on bazaar.


SergeyNikitin<U++>( linux, wine )
{
    under( Ubuntu || Debian || Raspbian );
}
Re: VLCPlayer compile only with libvlc v. 1.1.10 and later [message #43083 is a reply to message #43064] Sat, 03 May 2014 23:12 Go to previous message
Didier is currently offline  Didier
Messages: 671
Registered: November 2008
Location: France
Contributor
Hello Sergey,

I already did some (minor) modifications to solve namespace issues in VLCPlayer ... and SDL package.
Everything compiles, but it always crashes in VLC lib methods : I haven't had time to inspect what goes wrong for the moment.

Previous Topic: LedLabel new package
Next Topic: Time for a little cleanup ?
Goto Forum:
  


Current Time: Tue Oct 26 15:26:04 CEST 2021

Total time taken to generate the page: 0.01673 seconds